aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-12-21 10:31:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-12-21 10:31:16 +0000
commitb316c8b937ab28b0e1ad8bf6cd43da81d8e5d0e8 (patch)
tree60ef74a6bad57c24c42affe098118c92a8f4f37b
parentad849f0742c4eecf322b0435d216fba8773c2a5b (diff)
downloadaports-b316c8b937ab28b0e1ad8bf6cd43da81d8e5d0e8.tar.gz
aports-b316c8b937ab28b0e1ad8bf6cd43da81d8e5d0e8.tar.bz2
aports-b316c8b937ab28b0e1ad8bf6cd43da81d8e5d0e8.tar.xz
testing/cryptsetup: new aport
Userspace setup tool for transparent encryption of block devices using the Linux 2.6 cryptoapi http://code.google.com/p/cryptsetup/
-rw-r--r--testing/cryptsetup/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/testing/cryptsetup/APKBUILD b/testing/cryptsetup/APKBUILD
new file mode 100644
index 0000000000..4d7d4c983b
--- /dev/null
+++ b/testing/cryptsetup/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=cryptsetup
+pkgver=1.0.7
+pkgrel=0
+pkgdesc="Userspace setup tool for transparent encryption of block devices using the Linux 2.6 cryptoapi"
+url="http://code.google.com/p/cryptsetup/"
+license="GPL"
+depends=
+makedepends="lvm2-dev libgcrypt-dev popt-dev util-linux-ng-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --disable-static
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
+md5sums="5eea2a77391a8a1a651b31cbaef59e22 cryptsetup-1.0.7.tar.bz2"